Vim 编译安装 +python3支持

日常开发用vim,习惯了脱离鼠标写代码。 今天升级了一堆插件,然后打开Vim报错了,YouCompleteMe插件需要vim编译的时候支持python,所以重新编译vim。 从官方Repo clone代码: # –depth=1 不拉loggit clone git@github.com:vim/vim.git –depth=1 参考 YouCompleteMe https://github.com/wklken/k-vim Configure 执行这个命令,设置–with-python3-command=为本机的python3可执行文件路径。 Make & Install make sudo make install Update default vim 执行这个多行命令,更新默认的,会把“/vim/vi/gvim”全部改为新安装的vim。 执行这个命令之后,如果执行vim仍然不是自己编译安装的,可以通过 whereis vim 查看当前有哪些vim命令,我自己电脑上多余的是 /usr/local/bin/vim ,删除了就可以了。 Check 打开vim,命令模式执行:echo has(“python3”),返回1,表示已启用python3 这时候,vim插件的错误应该都没有了,可以正常使用。